@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap");
/*  CSS GENERAL */
body {
    width: 100%;
    margin: 0;
    padding: 0;
    background: #f7f1e9!important;
}
* , p , a , .btn  {
    font-family: "Poppins", sans-serif;
    font-size: 20px;
    box-sizing: border-box;
}

#hiddenBlock {
    display: none;
}
.card {
    margin: 20px!important;
    padding: 30px;
    box-shadow: 1px 2px 3px 4px rgba(25, 25, 20, 0.2);
    background-color: #eae8e4 !important;
}

.card .login, .card .register {
    width: 50%;
    height: auto;
}

li {
    list-style-type: none;
}

.hidden {
    display: none;
}

.btn:focus {
    box-shadow: none !important;
}

footer {
    margin-top: 25px;
    width: 100%;
}

a > .btn {
    color: rgb(33, 37, 39) !important;
}

#pixelArtImg {
    display: none;
    position: absolute;
    top: 120px;
    left: 10px;
}

.index {
    max-width: 500px;
    height: auto;
    object-fit: contain
}

.container {
    margin-top: 25px;
}

/* END CSS GENERAL */

/*CSS For Navbar*/
.navbar {
    margin-bottom: 50px;
}

.nav-item {
    padding-right: 15px;
}

.nav-link {
    color: white!important;
}
/* End CSS for Navbar */

/*  CSS for Form*/
input {
    border: 2px solid #e8ecec;
    border-radius: 8px;
    padding: 8px;
    width: 60%;
    margin: 10px 15px 10px 0;
}

.label-hidden {
    visibility: hidden;
}

.registrationForm {
    padding-bottom: 15px;
}

.shortForm {
    width: 35%;
    height: auto;
    margin: 10px;
    padding: 10px;
}

.inputPixColor {
    width: 100px;
    height: 50px
}

.pixForm {
    height: auto;
    width: 100%;
}

.form-group {
    margin: 5px;
}

/* END CSS for Form */


/* CSS for Pixel Art Maker */
.gridContainer {
    display: grid;
    grid-template-columns: minmax(300px, 300px) minmax(400px, 1fr);
    grid-template-rows: auto;
    grid-gap: 15px;
}

.gridControl {
    grid-area: control;
    height: 410px;
    margin: 0 15px 20px 15px;
}

.gridCanvas {
    grid-area: canvas;
    margin: 0 15px 20px 15px;
}

table,
tr,
td {
    border: 1px solid black;
    cursor: pointer;
}

thead,
tbody,
tfoot,
tr,
td,
th {
    border-color: inherit;
    border-style: solid;
    border-width: 1px !important;
}

table {
    border-collapse: collapse;
    background-color: white;
    margin: 0 auto;
    box-shadow: 2px 2px 3px;
}

tr {
    height: 15px;
}

td {
    width: 15px;
}

p {
    margin: 1em 0 1em;
}

.noLegend {
    display: none;
}

.legend {
    display: block;
}

.gridSizeLabel {
    font-size: 18px;
}

#createGrid, #paintBtn {
    margin-right: 15px;
}

/*  END CSS for Pixel Art Maker  */
